<script setup lang="ts">
import { useUIStore } from '~/store/UI'

const realWindow = ref()
const UI = useUIStore()
const { width, height } = useElementBounding(realWindow)
watchEffect(() => {
  UI.width = width.value
  UI.height = height.value
})
</script>

<template>
  <div ref="realWindow" class="z--100 fixed window" />
</template>

<style scoped>
.window{
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
}
</style>
